#ifndef ENCRYPTION_H
#define ENCRYPTION_H


void Set_Encryption_Key(uint8_t sensorId);
void Encrypt(uint32_t * data, uint8_t dataLength , uint64_t salt);
void Decrypt(uint32_t * data, uint8_t dataLength, uint64_t salt);

#endif
